]>
zdv2.bktei.com Git - BK-2020-03.git/blob - user/bkphotorights
2 # Desc: Apply metadata to photos
3 # Usage: bkphotometa.sh [FILE in]
4 # Ref/Attrib: [1]. Creative Commons XMP recommendation. (2015). https://wiki.creativecommons.org/wiki/XMP
5 # [2]. Eva, Johannes. (2023-03-30). “How to edit EXIF metadata via the command line with ExifTool”. libre-software.net. https://libre-software.net/linux/edit-metadata-exiftool/
9 strCreator
= "Steven Baltakatei Sandoval" ;
10 strCreatorURL
= "https://baltakatei.com" ;
11 strTerms
= "This work is licensed to the public under the Creative Commons Attribution-ShareAlike license http://creativecommons.org/licenses/by-sa/4.0/ ." ;
12 strLicenseURL
= "http://creativecommons.org/licenses/by-sa/4.0/" ;
14 yell
() { echo " $0 : $*" >& 2 ; } # print script path and all args to stderr
15 die
() { yell
"$*" ; exit 111 ; } # same as yell() but non-zero exit status
16 must
() { "$@" || die
"cannot $*" ; } # runs args as command, reports args if command fails
22 if [[ ! -f " $1 " ]]; then die
"FATAL:Not a file: $1 " ; fi ;
25 # Check if exiftool recognizes the file format
26 if ! exiftool
-s -FileType " $file_in " 1 >/ dev
/ null
; then
27 yell
"ERROR:File type not recognized by exiftool: $file_in " ;
30 # Change file metadata
32 cmd_args
+=( "exiftool" );
33 # cmd_args+=("-overwrite_original"); # hashtag reckless
36 cmd_args
+=( "-XMP-dc:Rights=" " $value " ); unset value
;
39 cmd_args
+=( "-XMP-xmpRights:Marked=" " $value " ); unset value
;
42 cmd_args
+=( "-XMP-xmpRights:UsageTerms=" " $value " ); unset value
;
44 value
= " $strLicenseURL " ;
45 cmd_args
+=( "-XMP-cc:license=" " $value " ); unset value
;
48 cmd_args
+=( "-XMP-cc:AttributionName=" " $value " ); unset value
;
50 value
= " $strCreatorURL " ;
51 cmd_args
+=( "-XMP-cc:AttributionURL=" " $value " ); unset value
;
53 cmd_args
+=( " $file_in " );